Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.cmd.action
Class AbstractMenuItem

    java.lang.Object
      |
      +--org.jbrain.qlink.cmd.AbstractCommand
            |
            +--org.jbrain.qlink.cmd.action.AbstractAction
                  |
                  +--org.jbrain.qlink.cmd.action.AbstractMenuItem

All Implemented Interfaces:
  Action, Command

Direct Known Subclasses:
  DownloadFile, GetMenuInfo, InitDataSend, ListSearch, MenuItem, RequestItemPost, SelectDateReply, SelectFileDocumentation, SelectList, SelectMenuItem

public class AbstractMenuItem
extends AbstractAction

Field Summary
`protected int` | `_iID`

Fields inherited from class org.jbrain.qlink.cmd.action.AbstractAction
`CMD_ACTION`

Fields inherited from class org.jbrain.qlink.cmd.AbstractCommand
`_iCalculatedCRC, _iReportedCRC`

Fields inherited from interface org.jbrain.qlink.cmd.Command
`CMD_START`

Constructor Summary
`AbstractMenuItem(byte[] data, int start, int len)`
`AbstractMenuItem(java.lang.String mnemonic, int id)`

Method Summary
`protected int` | `decode(byte[] data, int pos)`
`protected void` | `encode(int i, byte[] data, int pos)`

Methods inherited from class org.jbrain.qlink.cmd.action.AbstractAction
`finalizeCmd, getAction, getBytes, getBytes, getName, getString`

Methods inherited from class org.jbrain.qlink.cmd.AbstractCommand
`getCommand, getRecvSequence, getSendSequence, setRecvSequence, setSendSequence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbrain.qlink.cmd.Command
`getCommand, getRecvSequence, getSendSequence, setRecvSequence, setSendSequence`

Field Detail

### _iID

    protected int _iID

Constructor Detail

### AbstractMenuItem

    public AbstractMenuItem(java.lang.String mnemonic,
                            int id)

### AbstractMenuItem

    public AbstractMenuItem(byte[] data,
                            int start,
                            int len)
                     throws CRCException

Parameters:
  `data` -
  `start` -
  `len` -

Method Detail

### encode

    protected void encode(int i,
                          byte[] data,
                          int pos)

### decode

    protected int decode(byte[] data,
                         int pos)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD